curl --location --request GET 'https://api.stateset.com/v1/note/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
notes(limit: $limit, offset: $offset, order_by: {created_date: $order_direction}) {
id
title
body
createdDate
lastModifiedDate
}
}
const notes = await stateset.notes.retrieve({
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
});
notes = stateset.notes.retrieve({
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
})
notes, err := stateset.notes.Retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
)
notes = Stateset::Notes.retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
)
notes notes = Stateset.notes.retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
notes notes = Stateset.notes.Retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
$notes = Stateset\notes::retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/note HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"notes": [
{
"id": "nt_1NXWPnCo6bFb1KQto6C8OWvE"
}
]
}
This endpoint retrieves a note.
GET
/
v1
/
notes
/
{id}
curl --location --request GET 'https://api.stateset.com/v1/note/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
notes(limit: $limit, offset: $offset, order_by: {created_date: $order_direction}) {
id
title
body
createdDate
lastModifiedDate
}
}
const notes = await stateset.notes.retrieve({
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
});
notes = stateset.notes.retrieve({
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
})
notes, err := stateset.notes.Retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
)
notes = Stateset::Notes.retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
)
notes notes = Stateset.notes.retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
notes notes = Stateset.notes.Retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
$notes = Stateset\notes::retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/note HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"notes": [
{
"id": "nt_1NXWPnCo6bFb1KQto6C8OWvE"
}
]
}
Body
string
This is the id of the note.
Response
string
This is the id of the note
string
This is the title of the note
string
This is the body of the note
string
This is the created date of the note
string
This is the last modified date of the note
curl --location --request GET 'https://api.stateset.com/v1/note/:id' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "nt_1NXWPnCo6bFb1KQto6C8OWvE",
}'
query ($limit: Int!, $offset: Int!, $order_direction: order_by) {
notes(limit: $limit, offset: $offset, order_by: {created_date: $order_direction}) {
id
title
body
createdDate
lastModifiedDate
}
}
const notes = await stateset.notes.retrieve({
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
});
notes = stateset.notes.retrieve({
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
})
notes, err := stateset.notes.Retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
)
notes = Stateset::Notes.retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
)
notes notes = Stateset.notes.retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
notes notes = Stateset.notes.Retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
$notes = Stateset\notes::retrieve(
'nt_1NXWPnCo6bFb1KQto6C8OWvE'
);
GET /v1/note HTTP/1.1
Host: api.stateset.com
Content-Type: application/json
{
"notes": [
{
"id": "nt_1NXWPnCo6bFb1KQto6C8OWvE"
}
]
}
โI